Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## interfacing
Class ServersProcessingRatesTableModelListener

    java.lang.Object
      interfacing.ServersProcessingRatesTableModelListener

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.TableModelListener

    public class ServersProcessingRatesTableModelListener

extends java.lang.Object
implements javax.swing.event.TableModelListener

An object from this class and an object from ServersProcessingRatesJPanel are the view/controller of the he Processing Rates objects of Server objects.

Author:
  Majd Kokaly

Constructor Summary
`ServersProcessingRatesTableModelListener(Mapper mapper, int id)`

Method Summary
`Mapper` | `getMapper()`
`int` | `getServerID()`
`void` | `setMapper(Mapper mapper)`
`void` | `setServerID(int serverID)`
`void` | `tableChanged(javax.swing.event.TableModelEvent e)` This method is invoked by the ServersProcessingRatesJPanel to notify this object that table has changed.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServersProcessingRatesTableModelListener

    public ServersProcessingRatesTableModelListener(Mapper mapper,
                                                    int id)

Method Detail

### getMapper

    public Mapper getMapper()

### setMapper

    public void setMapper(Mapper mapper)

### getServerID

    public int getServerID()

### setServerID

    public void setServerID(int serverID)

### tableChanged

    public void tableChanged(javax.swing.event.TableModelEvent e)

  This method is invoked by the ServersProcessingRatesJPanel to notify this object that table has changed. The model classes are modified accordingly by this object.

  Specified by:
    `tableChanged` in interface `javax.swing.event.TableModelListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD